Index: src/Actions/GlobalListOfActions.hpp
===================================================================
--- src/Actions/GlobalListOfActions.hpp	(revision a27dcb591e92b38dd000e1357e027eaa75b123f2)
+++ src/Actions/GlobalListOfActions.hpp	(revision a0d5ef742c48094468d71a7cbd8d4a0c094b74b9)
@@ -116,4 +116,5 @@
   (SelectionShapeByName) \
   (SelectionNotAllShapes) \
+  (SelectionNotShapeByName) \
   (FragmentationFragmentation) \
   (FillRegularGrid) \
Index: src/Actions/Makefile.am
===================================================================
--- src/Actions/Makefile.am	(revision a27dcb591e92b38dd000e1357e027eaa75b123f2)
+++ src/Actions/Makefile.am	(revision a0d5ef742c48094468d71a7cbd8d4a0c094b74b9)
@@ -402,13 +402,16 @@
   Actions/SelectionAction/Shapes/AllShapesAction.cpp \
   Actions/SelectionAction/Shapes/ShapeByNameAction.cpp \
-  Actions/SelectionAction/Shapes/NotAllShapesAction.cpp
+  Actions/SelectionAction/Shapes/NotAllShapesAction.cpp \
+  Actions/SelectionAction/Shapes/NotShapeByNameAction.cpp
 SELECTIONSHAPEACTIONHEADER = \
   Actions/SelectionAction/Shapes/AllShapesAction.hpp \
   Actions/SelectionAction/Shapes/ShapeByNameAction.hpp \
-  Actions/SelectionAction/Shapes/NotAllShapesAction.hpp
+  Actions/SelectionAction/Shapes/NotAllShapesAction.hpp \
+  Actions/SelectionAction/Shapes/NotShapeByNameAction.hpp
 SELECTIONSHAPEACTIONDEFS = \
   Actions/SelectionAction/Shapes/AllShapesAction.def \
   Actions/SelectionAction/Shapes/ShapeByNameAction.def \
-  Actions/SelectionAction/Shapes/NotAllShapesAction.def
+  Actions/SelectionAction/Shapes/NotAllShapesAction.def \
+  Actions/SelectionAction/Shapes/NotShapeByNameAction.def
 	
 SHAPEACTIONSOURCE = \
Index: src/Actions/SelectionAction/Shapes/NotAllShapesAction.def
===================================================================
--- src/Actions/SelectionAction/Shapes/NotAllShapesAction.def	(revision a27dcb591e92b38dd000e1357e027eaa75b123f2)
+++ src/Actions/SelectionAction/Shapes/NotAllShapesAction.def	(revision a0d5ef742c48094468d71a7cbd8d4a0c094b74b9)
@@ -27,5 +27,5 @@
 #define CATEGORY Selection
 #define MENUNAME "selection"
-#define MENUPOSITION 27
+#define MENUPOSITION 28
 #define ACTIONNAME NotAllShapes
 #define TOKEN "unselect-all-shapes"
Index: src/Actions/SelectionAction/Shapes/NotShapeByNameAction.cpp
===================================================================
--- src/Actions/SelectionAction/Shapes/NotShapeByNameAction.cpp	(revision a0d5ef742c48094468d71a7cbd8d4a0c094b74b9)
+++ src/Actions/SelectionAction/Shapes/NotShapeByNameAction.cpp	(revision a0d5ef742c48094468d71a7cbd8d4a0c094b74b9)
@@ -0,0 +1,91 @@
+/*
+ * Project: MoleCuilder
+ * Description: creates and alters molecular systems
+ * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
+ *
+ *
+ *   This file is part of MoleCuilder.
+ *
+ *    MoleCuilder is free software: you can redistribute it and/or modify
+ *    it under the terms of the GNU General Public License as published by
+ *    the Free Software Foundation, either version 2 of the License, or
+ *    (at your option) any later version.
+ *
+ *    MoleCuilder is distributed in the hope that it will be useful,
+ *    but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *    GNU General Public License for more details.
+ *
+ *    You should have received a copy of the GNU General Public License
+ *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+/*
+ * NotShapeByNameAction.cpp
+ *
+ *  Created on: Oct 1, 2012
+ *      Author: ankele
+ */
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+#include "CodePatterns/MemDebug.hpp"
+
+#include "Shapes/ShapeRegistry.hpp"
+#include "CodePatterns/Log.hpp"
+#include "CodePatterns/Verbose.hpp"
+
+#include <iostream>
+#include <string>
+
+#include "NotShapeByNameAction.hpp"
+
+using namespace MoleCuilder;
+
+// and construct the stuff
+#include "NotShapeByNameAction.def"
+#include "Action_impl_pre.hpp"
+/** =========== define the function ====================== */
+Action::state_ptr SelectionNotShapeByNameAction::performCall() {
+  const Shape *Walker = ShapeRegistry::getInstance().getByName(params.shapeName.get());
+  if (Walker != NULL) {
+    if (ShapeRegistry::getInstance().isSelected(params.shapeName.get())) {
+      LOG(1, "Unselecting shape " << params.shapeName.get());
+      ShapeRegistry::getInstance().unselectShape(params.shapeName.get());
+      LOG(0, ShapeRegistry::getInstance().countSelectedShapes() << " shapes remain selected.");
+      return Action::state_ptr(new SelectionNotShapeByNameState(params));
+    } else {
+      return Action::success;
+    }
+  } else {
+    return Action::failure;
+  }
+}
+
+Action::state_ptr SelectionNotShapeByNameAction::performUndo(Action::state_ptr _state) {
+  SelectionNotShapeByNameState *state = assert_cast<SelectionNotShapeByNameState*>(_state.get());
+
+  ShapeRegistry::getInstance().selectShape(state->params.shapeName.get());
+
+  return Action::state_ptr(_state);
+}
+
+Action::state_ptr SelectionNotShapeByNameAction::performRedo(Action::state_ptr _state){
+  SelectionNotShapeByNameState *state = assert_cast<SelectionNotShapeByNameState*>(_state.get());
+
+  ShapeRegistry::getInstance().unselectShape(state->params.shapeName.get());
+
+  return Action::state_ptr(_state);
+}
+
+bool SelectionNotShapeByNameAction::canUndo() {
+  return true;
+}
+
+bool SelectionNotShapeByNameAction::shouldUndo() {
+  return true;
+}
+/** =========== end of function ====================== */
Index: src/Actions/SelectionAction/Shapes/NotShapeByNameAction.def
===================================================================
--- src/Actions/SelectionAction/Shapes/NotShapeByNameAction.def	(revision a0d5ef742c48094468d71a7cbd8d4a0c094b74b9)
+++ src/Actions/SelectionAction/Shapes/NotShapeByNameAction.def	(revision a0d5ef742c48094468d71a7cbd8d4a0c094b74b9)
@@ -0,0 +1,37 @@
+/*
+ * NotShapeByNameAction.def
+ *
+ *  Created on: Oct 1, 2012
+ *      Author: ankele
+ */
+
+// all includes and forward declarations necessary for non-integral types below
+class atom;
+
+#include "Parameters/Validators/Specific/ShapeNameValidator.hpp"
+
+// i.e. there is an integer with variable name Z that can be found in
+// ValueStorage by the token "Z" -> first column: int, Z, "Z"
+// "undefine" if no parameters are required, use (NOPARAM_DEFAULT) for each (undefined) default value
+#define paramtypes (std::string)
+#define paramtokens ("unselect-shape-by-name")
+#define paramdescriptions ("shape name")
+#undef paramdefaults
+#define paramreferences (shapeName)
+#define paramvalids \
+(ShapeNameValidator())
+
+#undef statetypes
+#undef statereferences
+
+// some defines for all the names, you may use ACTION, STATE and PARAMS
+#define CATEGORY Selection
+#define MENUNAME "selection"
+#define MENUPOSITION 26
+#define ACTIONNAME NotShapeByName
+#define TOKEN "unselect-shape-by-name"
+
+
+// finally the information stored in the ActionTrait specialization
+#define DESCRIPTION "unselect a shape by name"
+#undef SHORTFORM
Index: src/Actions/SelectionAction/Shapes/NotShapeByNameAction.hpp
===================================================================
--- src/Actions/SelectionAction/Shapes/NotShapeByNameAction.hpp	(revision a0d5ef742c48094468d71a7cbd8d4a0c094b74b9)
+++ src/Actions/SelectionAction/Shapes/NotShapeByNameAction.hpp	(revision a0d5ef742c48094468d71a7cbd8d4a0c094b74b9)
@@ -0,0 +1,22 @@
+/*
+ * NotShapeByNameAction.hpp
+ *
+ *  Created on: Oct 1, 2012
+ *      Author: ankele
+ */
+
+#ifndef NOTSHAPEBYNAMEACTION_HPP_
+#define NOTSHAPEBYNAMEACTION_HPP_
+
+// include config.h
+#ifdef HAVE_CONFIG_H
+#include <config.h>
+#endif
+
+
+#include "Actions/Action.hpp"
+
+#include "NotShapeByNameAction.def"
+#include "Action_impl_header.hpp"
+
+#endif /* NOTSHAPEBYNAMEACTION_HPP_ */
